-- Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
-- Copyright 2022-2025 Advanced Micro Devices, Inc. All Rights Reserved.
-- --------------------------------------------------------------------------------
-- Tool Version: Vivado v.2025.1 (win64) Build 6140274 Thu May 22 00:12:29 MDT 2025
-- Date        : Sun Jan  4 04:35:51 2026
-- Host        : LAPTOP-L3CRKKNJ running 64-bit major release  (build 9200)
-- Command     : write_vhdl -force -mode funcsim
--               c:/Vivado_Debug/PLLXplore_FNPLL/FNPLL2.gen/sources_1/bd/FNPLL/ip/FNPLL_DS_dac3_0_0/FNPLL_DS_dac3_0_0_sim_netlist.vhdl
-- Design      : FNPLL_DS_dac3_0_0
-- Purpose     : This VHDL netlist is a functional simulation representation of the design and should not be modified or
--               synthesized. This netlist cannot be used for SDF annotated simulation.
-- Device      : xc7a35tcpg236-1
-- --------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity FNPLL_DS_dac3_0_0_DS_dac3 is
  port (
    pdm_out : out STD_LOGIC;
    reset : in STD_LOGIC;
    clk : in STD_LOGIC;
    data_in : in STD_LOGIC_VECTOR ( 15 downto 0 )
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of FNPLL_DS_dac3_0_0_DS_dac3 : entity is "DS_dac3";
end FNPLL_DS_dac3_0_0_DS_dac3;

architecture STRUCTURE of FNPLL_DS_dac3_0_0_DS_dac3 is
  signal data_in_sync1 : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal data_in_sync2 : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal \int1_next_carry__0_i_1_n_0\ : STD_LOGIC;
  signal \int1_next_carry__0_i_2_n_0\ : STD_LOGIC;
  signal \int1_next_carry__0_i_3_n_0\ : STD_LOGIC;
  signal \int1_next_carry__0_i_4_n_0\ : STD_LOGIC;
  signal \int1_next_carry__0_n_0\ : STD_LOGIC;
  signal \int1_next_carry__0_n_1\ : STD_LOGIC;
  signal \int1_next_carry__0_n_2\ : STD_LOGIC;
  signal \int1_next_carry__0_n_3\ : STD_LOGIC;
  signal \int1_next_carry__0_n_4\ : STD_LOGIC;
  signal \int1_next_carry__0_n_5\ : STD_LOGIC;
  signal \int1_next_carry__0_n_6\ : STD_LOGIC;
  signal \int1_next_carry__0_n_7\ : STD_LOGIC;
  signal \int1_next_carry__1_i_1_n_0\ : STD_LOGIC;
  signal \int1_next_carry__1_i_2_n_0\ : STD_LOGIC;
  signal \int1_next_carry__1_i_3_n_0\ : STD_LOGIC;
  signal \int1_next_carry__1_i_4_n_0\ : STD_LOGIC;
  signal \int1_next_carry__1_n_0\ : STD_LOGIC;
  signal \int1_next_carry__1_n_1\ : STD_LOGIC;
  signal \int1_next_carry__1_n_2\ : STD_LOGIC;
  signal \int1_next_carry__1_n_3\ : STD_LOGIC;
  signal \int1_next_carry__1_n_4\ : STD_LOGIC;
  signal \int1_next_carry__1_n_5\ : STD_LOGIC;
  signal \int1_next_carry__1_n_6\ : STD_LOGIC;
  signal \int1_next_carry__1_n_7\ : STD_LOGIC;
  signal \int1_next_carry__2_i_1_n_0\ : STD_LOGIC;
  signal \int1_next_carry__2_i_2_n_0\ : STD_LOGIC;
  signal \int1_next_carry__2_i_3_n_0\ : STD_LOGIC;
  signal \int1_next_carry__2_i_4_n_0\ : STD_LOGIC;
  signal \int1_next_carry__2_n_0\ : STD_LOGIC;
  signal \int1_next_carry__2_n_1\ : STD_LOGIC;
  signal \int1_next_carry__2_n_2\ : STD_LOGIC;
  signal \int1_next_carry__2_n_3\ : STD_LOGIC;
  signal \int1_next_carry__2_n_4\ : STD_LOGIC;
  signal \int1_next_carry__2_n_5\ : STD_LOGIC;
  signal \int1_next_carry__2_n_6\ : STD_LOGIC;
  signal \int1_next_carry__2_n_7\ : STD_LOGIC;
  signal \int1_next_carry__3_i_1_n_0\ : STD_LOGIC;
  signal \int1_next_carry__3_i_2_n_0\ : STD_LOGIC;
  signal \int1_next_carry__3_i_3_n_0\ : STD_LOGIC;
  signal \int1_next_carry__3_i_4_n_0\ : STD_LOGIC;
  signal \int1_next_carry__3_n_2\ : STD_LOGIC;
  signal \int1_next_carry__3_n_3\ : STD_LOGIC;
  signal \int1_next_carry__3_n_5\ : STD_LOGIC;
  signal \int1_next_carry__3_n_6\ : STD_LOGIC;
  signal \int1_next_carry__3_n_7\ : STD_LOGIC;
  signal int1_next_carry_i_1_n_0 : STD_LOGIC;
  signal int1_next_carry_i_2_n_0 : STD_LOGIC;
  signal int1_next_carry_i_3_n_0 : STD_LOGIC;
  signal int1_next_carry_i_4_n_0 : STD_LOGIC;
  signal int1_next_carry_n_0 : STD_LOGIC;
  signal int1_next_carry_n_1 : STD_LOGIC;
  signal int1_next_carry_n_2 : STD_LOGIC;
  signal int1_next_carry_n_3 : STD_LOGIC;
  signal int1_next_carry_n_4 : STD_LOGIC;
  signal int1_next_carry_n_5 : STD_LOGIC;
  signal int1_next_carry_n_6 : STD_LOGIC;
  signal int1_next_carry_n_7 : STD_LOGIC;
  signal int1_reg : STD_LOGIC_VECTOR ( 18 downto 0 );
  signal lfsr : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal p_0_in : STD_LOGIC;
  signal \p_4_out__0\ : STD_LOGIC_VECTOR ( 0 to 0 );
  signal \quant_input0_carry__0_i_1_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__0_i_2_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__0_i_3_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__0_i_4_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__0_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__0_n_1\ : STD_LOGIC;
  signal \quant_input0_carry__0_n_2\ : STD_LOGIC;
  signal \quant_input0_carry__0_n_3\ : STD_LOGIC;
  signal \quant_input0_carry__1_i_1_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__1_i_2_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__1_i_3_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__1_i_4_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__1_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__1_n_1\ : STD_LOGIC;
  signal \quant_input0_carry__1_n_2\ : STD_LOGIC;
  signal \quant_input0_carry__1_n_3\ : STD_LOGIC;
  signal \quant_input0_carry__2_i_1_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__2_i_2_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__2_i_3_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__2_i_4_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__2_i_5_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__2_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__2_n_1\ : STD_LOGIC;
  signal \quant_input0_carry__2_n_2\ : STD_LOGIC;
  signal \quant_input0_carry__2_n_3\ : STD_LOGIC;
  signal \quant_input0_carry__3_i_1_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__3_i_2_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__3_i_3_n_0\ : STD_LOGIC;
  signal \quant_input0_carry__3_n_3\ : STD_LOGIC;
  signal \quant_input0_carry__3_n_6\ : STD_LOGIC;
  signal quant_input0_carry_i_1_n_0 : STD_LOGIC;
  signal quant_input0_carry_i_2_n_0 : STD_LOGIC;
  signal quant_input0_carry_i_3_n_0 : STD_LOGIC;
  signal quant_input0_carry_n_0 : STD_LOGIC;
  signal quant_input0_carry_n_1 : STD_LOGIC;
  signal quant_input0_carry_n_2 : STD_LOGIC;
  signal quant_input0_carry_n_3 : STD_LOGIC;
  signal quant_reg : STD_LOGIC;
  signal \NLW_int1_next_carry__3_CO_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 2 );
  signal \NLW_int1_next_carry__3_O_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 to 3 );
  signal NLW_quant_input0_carry_O_UNCONNECTED : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal \NLW_quant_input0_carry__0_O_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal \NLW_quant_input0_carry__1_O_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal \NLW_quant_input0_carry__2_O_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal \NLW_quant_input0_carry__3_CO_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 1 );
  signal \NLW_quant_input0_carry__3_O_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 0 );
  attribute ADDER_THRESHOLD : integer;
  attribute ADDER_THRESHOLD of int1_next_carry : label is 35;
  attribute ADDER_THRESHOLD of \int1_next_carry__0\ : label is 35;
  attribute ADDER_THRESHOLD of \int1_next_carry__1\ : label is 35;
  attribute ADDER_THRESHOLD of \int1_next_carry__2\ : label is 35;
  attribute ADDER_THRESHOLD of \int1_next_carry__3\ : label is 35;
  attribute ADDER_THRESHOLD of quant_input0_carry : label is 35;
  attribute ADDER_THRESHOLD of \quant_input0_carry__0\ : label is 35;
  attribute ADDER_THRESHOLD of \quant_input0_carry__1\ : label is 35;
  attribute ADDER_THRESHOLD of \quant_input0_carry__2\ : label is 35;
  attribute ADDER_THRESHOLD of \quant_input0_carry__3\ : label is 35;
begin
\data_in_sync1_reg[0]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(0),
      Q => data_in_sync1(0),
      R => reset
    );
\data_in_sync1_reg[10]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(10),
      Q => data_in_sync1(10),
      R => reset
    );
\data_in_sync1_reg[11]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(11),
      Q => data_in_sync1(11),
      R => reset
    );
\data_in_sync1_reg[12]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(12),
      Q => data_in_sync1(12),
      R => reset
    );
\data_in_sync1_reg[13]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(13),
      Q => data_in_sync1(13),
      R => reset
    );
\data_in_sync1_reg[14]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(14),
      Q => data_in_sync1(14),
      R => reset
    );
\data_in_sync1_reg[15]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(15),
      Q => data_in_sync1(15),
      R => reset
    );
\data_in_sync1_reg[1]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(1),
      Q => data_in_sync1(1),
      R => reset
    );
\data_in_sync1_reg[2]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(2),
      Q => data_in_sync1(2),
      R => reset
    );
\data_in_sync1_reg[3]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(3),
      Q => data_in_sync1(3),
      R => reset
    );
\data_in_sync1_reg[4]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(4),
      Q => data_in_sync1(4),
      R => reset
    );
\data_in_sync1_reg[5]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(5),
      Q => data_in_sync1(5),
      R => reset
    );
\data_in_sync1_reg[6]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(6),
      Q => data_in_sync1(6),
      R => reset
    );
\data_in_sync1_reg[7]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(7),
      Q => data_in_sync1(7),
      R => reset
    );
\data_in_sync1_reg[8]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(8),
      Q => data_in_sync1(8),
      R => reset
    );
\data_in_sync1_reg[9]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in(9),
      Q => data_in_sync1(9),
      R => reset
    );
\data_in_sync2_reg[0]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(0),
      Q => data_in_sync2(0),
      R => reset
    );
\data_in_sync2_reg[10]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(10),
      Q => data_in_sync2(10),
      R => reset
    );
\data_in_sync2_reg[11]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(11),
      Q => data_in_sync2(11),
      R => reset
    );
\data_in_sync2_reg[12]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(12),
      Q => data_in_sync2(12),
      R => reset
    );
\data_in_sync2_reg[13]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(13),
      Q => data_in_sync2(13),
      R => reset
    );
\data_in_sync2_reg[14]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(14),
      Q => data_in_sync2(14),
      R => reset
    );
\data_in_sync2_reg[15]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(15),
      Q => data_in_sync2(15),
      R => reset
    );
\data_in_sync2_reg[1]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(1),
      Q => data_in_sync2(1),
      R => reset
    );
\data_in_sync2_reg[2]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(2),
      Q => data_in_sync2(2),
      R => reset
    );
\data_in_sync2_reg[3]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(3),
      Q => data_in_sync2(3),
      R => reset
    );
\data_in_sync2_reg[4]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(4),
      Q => data_in_sync2(4),
      R => reset
    );
\data_in_sync2_reg[5]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(5),
      Q => data_in_sync2(5),
      R => reset
    );
\data_in_sync2_reg[6]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(6),
      Q => data_in_sync2(6),
      R => reset
    );
\data_in_sync2_reg[7]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(7),
      Q => data_in_sync2(7),
      R => reset
    );
\data_in_sync2_reg[8]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(8),
      Q => data_in_sync2(8),
      R => reset
    );
\data_in_sync2_reg[9]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => data_in_sync1(9),
      Q => data_in_sync2(9),
      R => reset
    );
int1_next_carry: unisim.vcomponents.CARRY4
     port map (
      CI => '0',
      CO(3) => int1_next_carry_n_0,
      CO(2) => int1_next_carry_n_1,
      CO(1) => int1_next_carry_n_2,
      CO(0) => int1_next_carry_n_3,
      CYINIT => '0',
      DI(3 downto 0) => data_in_sync2(3 downto 0),
      O(3) => int1_next_carry_n_4,
      O(2) => int1_next_carry_n_5,
      O(1) => int1_next_carry_n_6,
      O(0) => int1_next_carry_n_7,
      S(3) => int1_next_carry_i_1_n_0,
      S(2) => int1_next_carry_i_2_n_0,
      S(1) => int1_next_carry_i_3_n_0,
      S(0) => int1_next_carry_i_4_n_0
    );
\int1_next_carry__0\: unisim.vcomponents.CARRY4
     port map (
      CI => int1_next_carry_n_0,
      CO(3) => \int1_next_carry__0_n_0\,
      CO(2) => \int1_next_carry__0_n_1\,
      CO(1) => \int1_next_carry__0_n_2\,
      CO(0) => \int1_next_carry__0_n_3\,
      CYINIT => '0',
      DI(3 downto 0) => data_in_sync2(7 downto 4),
      O(3) => \int1_next_carry__0_n_4\,
      O(2) => \int1_next_carry__0_n_5\,
      O(1) => \int1_next_carry__0_n_6\,
      O(0) => \int1_next_carry__0_n_7\,
      S(3) => \int1_next_carry__0_i_1_n_0\,
      S(2) => \int1_next_carry__0_i_2_n_0\,
      S(1) => \int1_next_carry__0_i_3_n_0\,
      S(0) => \int1_next_carry__0_i_4_n_0\
    );
\int1_next_carry__0_i_1\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(7),
      I1 => int1_reg(7),
      O => \int1_next_carry__0_i_1_n_0\
    );
\int1_next_carry__0_i_2\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(6),
      I1 => int1_reg(6),
      O => \int1_next_carry__0_i_2_n_0\
    );
\int1_next_carry__0_i_3\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(5),
      I1 => int1_reg(5),
      O => \int1_next_carry__0_i_3_n_0\
    );
\int1_next_carry__0_i_4\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(4),
      I1 => int1_reg(4),
      O => \int1_next_carry__0_i_4_n_0\
    );
\int1_next_carry__1\: unisim.vcomponents.CARRY4
     port map (
      CI => \int1_next_carry__0_n_0\,
      CO(3) => \int1_next_carry__1_n_0\,
      CO(2) => \int1_next_carry__1_n_1\,
      CO(1) => \int1_next_carry__1_n_2\,
      CO(0) => \int1_next_carry__1_n_3\,
      CYINIT => '0',
      DI(3 downto 0) => data_in_sync2(11 downto 8),
      O(3) => \int1_next_carry__1_n_4\,
      O(2) => \int1_next_carry__1_n_5\,
      O(1) => \int1_next_carry__1_n_6\,
      O(0) => \int1_next_carry__1_n_7\,
      S(3) => \int1_next_carry__1_i_1_n_0\,
      S(2) => \int1_next_carry__1_i_2_n_0\,
      S(1) => \int1_next_carry__1_i_3_n_0\,
      S(0) => \int1_next_carry__1_i_4_n_0\
    );
\int1_next_carry__1_i_1\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(11),
      I1 => int1_reg(11),
      O => \int1_next_carry__1_i_1_n_0\
    );
\int1_next_carry__1_i_2\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(10),
      I1 => int1_reg(10),
      O => \int1_next_carry__1_i_2_n_0\
    );
\int1_next_carry__1_i_3\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(9),
      I1 => int1_reg(9),
      O => \int1_next_carry__1_i_3_n_0\
    );
\int1_next_carry__1_i_4\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(8),
      I1 => int1_reg(8),
      O => \int1_next_carry__1_i_4_n_0\
    );
\int1_next_carry__2\: unisim.vcomponents.CARRY4
     port map (
      CI => \int1_next_carry__1_n_0\,
      CO(3) => \int1_next_carry__2_n_0\,
      CO(2) => \int1_next_carry__2_n_1\,
      CO(1) => \int1_next_carry__2_n_2\,
      CO(0) => \int1_next_carry__2_n_3\,
      CYINIT => '0',
      DI(3) => int1_reg(15),
      DI(2 downto 0) => data_in_sync2(14 downto 12),
      O(3) => \int1_next_carry__2_n_4\,
      O(2) => \int1_next_carry__2_n_5\,
      O(1) => \int1_next_carry__2_n_6\,
      O(0) => \int1_next_carry__2_n_7\,
      S(3) => \int1_next_carry__2_i_1_n_0\,
      S(2) => \int1_next_carry__2_i_2_n_0\,
      S(1) => \int1_next_carry__2_i_3_n_0\,
      S(0) => \int1_next_carry__2_i_4_n_0\
    );
\int1_next_carry__2_i_1\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"9"
    )
        port map (
      I0 => int1_reg(15),
      I1 => data_in_sync2(15),
      O => \int1_next_carry__2_i_1_n_0\
    );
\int1_next_carry__2_i_2\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(14),
      I1 => int1_reg(14),
      O => \int1_next_carry__2_i_2_n_0\
    );
\int1_next_carry__2_i_3\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(13),
      I1 => int1_reg(13),
      O => \int1_next_carry__2_i_3_n_0\
    );
\int1_next_carry__2_i_4\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(12),
      I1 => int1_reg(12),
      O => \int1_next_carry__2_i_4_n_0\
    );
\int1_next_carry__3\: unisim.vcomponents.CARRY4
     port map (
      CI => \int1_next_carry__2_n_0\,
      CO(3 downto 2) => \NLW_int1_next_carry__3_CO_UNCONNECTED\(3 downto 2),
      CO(1) => \int1_next_carry__3_n_2\,
      CO(0) => \int1_next_carry__3_n_3\,
      CYINIT => '0',
      DI(3 downto 2) => B"00",
      DI(1) => int1_reg(16),
      DI(0) => \int1_next_carry__3_i_1_n_0\,
      O(3) => \NLW_int1_next_carry__3_O_UNCONNECTED\(3),
      O(2) => \int1_next_carry__3_n_5\,
      O(1) => \int1_next_carry__3_n_6\,
      O(0) => \int1_next_carry__3_n_7\,
      S(3) => '0',
      S(2) => \int1_next_carry__3_i_2_n_0\,
      S(1) => \int1_next_carry__3_i_3_n_0\,
      S(0) => \int1_next_carry__3_i_4_n_0\
    );
\int1_next_carry__3_i_1\: unisim.vcomponents.LUT1
    generic map(
      INIT => X"1"
    )
        port map (
      I0 => int1_reg(16),
      O => \int1_next_carry__3_i_1_n_0\
    );
\int1_next_carry__3_i_2\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"9"
    )
        port map (
      I0 => int1_reg(17),
      I1 => int1_reg(18),
      O => \int1_next_carry__3_i_2_n_0\
    );
\int1_next_carry__3_i_3\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"9"
    )
        port map (
      I0 => int1_reg(16),
      I1 => int1_reg(17),
      O => \int1_next_carry__3_i_3_n_0\
    );
\int1_next_carry__3_i_4\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(16),
      I1 => quant_reg,
      O => \int1_next_carry__3_i_4_n_0\
    );
int1_next_carry_i_1: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(3),
      I1 => int1_reg(3),
      O => int1_next_carry_i_1_n_0
    );
int1_next_carry_i_2: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(2),
      I1 => int1_reg(2),
      O => int1_next_carry_i_2_n_0
    );
int1_next_carry_i_3: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(1),
      I1 => int1_reg(1),
      O => int1_next_carry_i_3_n_0
    );
int1_next_carry_i_4: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => data_in_sync2(0),
      I1 => int1_reg(0),
      O => int1_next_carry_i_4_n_0
    );
\int1_reg_reg[0]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => int1_next_carry_n_7,
      Q => int1_reg(0),
      R => reset
    );
\int1_reg_reg[10]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__1_n_5\,
      Q => int1_reg(10),
      R => reset
    );
\int1_reg_reg[11]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__1_n_4\,
      Q => int1_reg(11),
      R => reset
    );
\int1_reg_reg[12]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__2_n_7\,
      Q => int1_reg(12),
      R => reset
    );
\int1_reg_reg[13]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__2_n_6\,
      Q => int1_reg(13),
      R => reset
    );
\int1_reg_reg[14]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__2_n_5\,
      Q => int1_reg(14),
      R => reset
    );
\int1_reg_reg[15]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__2_n_4\,
      Q => int1_reg(15),
      R => reset
    );
\int1_reg_reg[16]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__3_n_7\,
      Q => int1_reg(16),
      R => reset
    );
\int1_reg_reg[17]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__3_n_6\,
      Q => int1_reg(17),
      R => reset
    );
\int1_reg_reg[18]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__3_n_5\,
      Q => int1_reg(18),
      R => reset
    );
\int1_reg_reg[1]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => int1_next_carry_n_6,
      Q => int1_reg(1),
      R => reset
    );
\int1_reg_reg[2]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => int1_next_carry_n_5,
      Q => int1_reg(2),
      R => reset
    );
\int1_reg_reg[3]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => int1_next_carry_n_4,
      Q => int1_reg(3),
      R => reset
    );
\int1_reg_reg[4]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__0_n_7\,
      Q => int1_reg(4),
      R => reset
    );
\int1_reg_reg[5]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__0_n_6\,
      Q => int1_reg(5),
      R => reset
    );
\int1_reg_reg[6]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__0_n_5\,
      Q => int1_reg(6),
      R => reset
    );
\int1_reg_reg[7]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__0_n_4\,
      Q => int1_reg(7),
      R => reset
    );
\int1_reg_reg[8]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__1_n_7\,
      Q => int1_reg(8),
      R => reset
    );
\int1_reg_reg[9]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \int1_next_carry__1_n_6\,
      Q => int1_reg(9),
      R => reset
    );
\lfsr_reg[0]\: unisim.vcomponents.FDSE
    generic map(
      INIT => '1'
    )
        port map (
      C => clk,
      CE => '1',
      D => \p_4_out__0\(0),
      Q => lfsr(0),
      S => reset
    );
\lfsr_reg[10]\: unisim.vcomponents.FDSE
    generic map(
      INIT => '1'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(9),
      Q => lfsr(10),
      S => reset
    );
\lfsr_reg[11]\: unisim.vcomponents.FDSE
    generic map(
      INIT => '1'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(10),
      Q => lfsr(11),
      S => reset
    );
\lfsr_reg[12]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(11),
      Q => lfsr(12),
      R => reset
    );
\lfsr_reg[13]\: unisim.vcomponents.FDSE
    generic map(
      INIT => '1'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(12),
      Q => lfsr(13),
      S => reset
    );
\lfsr_reg[14]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(13),
      Q => lfsr(14),
      R => reset
    );
\lfsr_reg[15]\: unisim.vcomponents.FDSE
    generic map(
      INIT => '1'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(14),
      Q => lfsr(15),
      S => reset
    );
\lfsr_reg[1]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(0),
      Q => lfsr(1),
      R => reset
    );
\lfsr_reg[2]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(1),
      Q => lfsr(2),
      R => reset
    );
\lfsr_reg[3]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(2),
      Q => lfsr(3),
      R => reset
    );
\lfsr_reg[4]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(3),
      Q => lfsr(4),
      R => reset
    );
\lfsr_reg[5]\: unisim.vcomponents.FDSE
    generic map(
      INIT => '1'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(4),
      Q => lfsr(5),
      S => reset
    );
\lfsr_reg[6]\: unisim.vcomponents.FDSE
    generic map(
      INIT => '1'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(5),
      Q => lfsr(6),
      S => reset
    );
\lfsr_reg[7]\: unisim.vcomponents.FDSE
    generic map(
      INIT => '1'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(6),
      Q => lfsr(7),
      S => reset
    );
\lfsr_reg[8]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(7),
      Q => lfsr(8),
      R => reset
    );
\lfsr_reg[9]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => lfsr(8),
      Q => lfsr(9),
      R => reset
    );
p_4_out: unisim.vcomponents.LUT4
    generic map(
      INIT => X"6996"
    )
        port map (
      I0 => lfsr(12),
      I1 => lfsr(13),
      I2 => lfsr(15),
      I3 => lfsr(10),
      O => \p_4_out__0\(0)
    );
pdm_out_INST_0: unisim.vcomponents.LUT1
    generic map(
      INIT => X"1"
    )
        port map (
      I0 => quant_reg,
      O => pdm_out
    );
quant_input0_carry: unisim.vcomponents.CARRY4
     port map (
      CI => '0',
      CO(3) => quant_input0_carry_n_0,
      CO(2) => quant_input0_carry_n_1,
      CO(1) => quant_input0_carry_n_2,
      CO(0) => quant_input0_carry_n_3,
      CYINIT => '0',
      DI(3 downto 1) => int1_reg(4 downto 2),
      DI(0) => '0',
      O(3 downto 0) => NLW_quant_input0_carry_O_UNCONNECTED(3 downto 0),
      S(3) => quant_input0_carry_i_1_n_0,
      S(2) => quant_input0_carry_i_2_n_0,
      S(1) => quant_input0_carry_i_3_n_0,
      S(0) => int1_reg(1)
    );
\quant_input0_carry__0\: unisim.vcomponents.CARRY4
     port map (
      CI => quant_input0_carry_n_0,
      CO(3) => \quant_input0_carry__0_n_0\,
      CO(2) => \quant_input0_carry__0_n_1\,
      CO(1) => \quant_input0_carry__0_n_2\,
      CO(0) => \quant_input0_carry__0_n_3\,
      CYINIT => '0',
      DI(3 downto 0) => int1_reg(8 downto 5),
      O(3 downto 0) => \NLW_quant_input0_carry__0_O_UNCONNECTED\(3 downto 0),
      S(3) => \quant_input0_carry__0_i_1_n_0\,
      S(2) => \quant_input0_carry__0_i_2_n_0\,
      S(1) => \quant_input0_carry__0_i_3_n_0\,
      S(0) => \quant_input0_carry__0_i_4_n_0\
    );
\quant_input0_carry__0_i_1\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(8),
      I1 => lfsr(6),
      O => \quant_input0_carry__0_i_1_n_0\
    );
\quant_input0_carry__0_i_2\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(7),
      I1 => lfsr(5),
      O => \quant_input0_carry__0_i_2_n_0\
    );
\quant_input0_carry__0_i_3\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(6),
      I1 => lfsr(4),
      O => \quant_input0_carry__0_i_3_n_0\
    );
\quant_input0_carry__0_i_4\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(5),
      I1 => lfsr(3),
      O => \quant_input0_carry__0_i_4_n_0\
    );
\quant_input0_carry__1\: unisim.vcomponents.CARRY4
     port map (
      CI => \quant_input0_carry__0_n_0\,
      CO(3) => \quant_input0_carry__1_n_0\,
      CO(2) => \quant_input0_carry__1_n_1\,
      CO(1) => \quant_input0_carry__1_n_2\,
      CO(0) => \quant_input0_carry__1_n_3\,
      CYINIT => '0',
      DI(3 downto 0) => int1_reg(12 downto 9),
      O(3 downto 0) => \NLW_quant_input0_carry__1_O_UNCONNECTED\(3 downto 0),
      S(3) => \quant_input0_carry__1_i_1_n_0\,
      S(2) => \quant_input0_carry__1_i_2_n_0\,
      S(1) => \quant_input0_carry__1_i_3_n_0\,
      S(0) => \quant_input0_carry__1_i_4_n_0\
    );
\quant_input0_carry__1_i_1\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(12),
      I1 => lfsr(10),
      O => \quant_input0_carry__1_i_1_n_0\
    );
\quant_input0_carry__1_i_2\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(11),
      I1 => lfsr(9),
      O => \quant_input0_carry__1_i_2_n_0\
    );
\quant_input0_carry__1_i_3\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(10),
      I1 => lfsr(8),
      O => \quant_input0_carry__1_i_3_n_0\
    );
\quant_input0_carry__1_i_4\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(9),
      I1 => lfsr(7),
      O => \quant_input0_carry__1_i_4_n_0\
    );
\quant_input0_carry__2\: unisim.vcomponents.CARRY4
     port map (
      CI => \quant_input0_carry__1_n_0\,
      CO(3) => \quant_input0_carry__2_n_0\,
      CO(2) => \quant_input0_carry__2_n_1\,
      CO(1) => \quant_input0_carry__2_n_2\,
      CO(0) => \quant_input0_carry__2_n_3\,
      CYINIT => '0',
      DI(3) => \quant_input0_carry__2_i_1_n_0\,
      DI(2) => lfsr(12),
      DI(1 downto 0) => int1_reg(14 downto 13),
      O(3 downto 0) => \NLW_quant_input0_carry__2_O_UNCONNECTED\(3 downto 0),
      S(3) => \quant_input0_carry__2_i_2_n_0\,
      S(2) => \quant_input0_carry__2_i_3_n_0\,
      S(1) => \quant_input0_carry__2_i_4_n_0\,
      S(0) => \quant_input0_carry__2_i_5_n_0\
    );
\quant_input0_carry__2_i_1\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"E"
    )
        port map (
      I0 => int1_reg(15),
      I1 => lfsr(13),
      O => \quant_input0_carry__2_i_1_n_0\
    );
\quant_input0_carry__2_i_2\: unisim.vcomponents.LUT4
    generic map(
      INIT => X"1EE1"
    )
        port map (
      I0 => lfsr(13),
      I1 => int1_reg(15),
      I2 => lfsr(14),
      I3 => int1_reg(16),
      O => \quant_input0_carry__2_i_2_n_0\
    );
\quant_input0_carry__2_i_3\: unisim.vcomponents.LUT3
    generic map(
      INIT => X"69"
    )
        port map (
      I0 => lfsr(13),
      I1 => int1_reg(15),
      I2 => lfsr(12),
      O => \quant_input0_carry__2_i_3_n_0\
    );
\quant_input0_carry__2_i_4\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"9"
    )
        port map (
      I0 => lfsr(12),
      I1 => int1_reg(14),
      O => \quant_input0_carry__2_i_4_n_0\
    );
\quant_input0_carry__2_i_5\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(13),
      I1 => lfsr(11),
      O => \quant_input0_carry__2_i_5_n_0\
    );
\quant_input0_carry__3\: unisim.vcomponents.CARRY4
     port map (
      CI => \quant_input0_carry__2_n_0\,
      CO(3 downto 1) => \NLW_quant_input0_carry__3_CO_UNCONNECTED\(3 downto 1),
      CO(0) => \quant_input0_carry__3_n_3\,
      CYINIT => '0',
      DI(3 downto 1) => B"000",
      DI(0) => \quant_input0_carry__3_i_1_n_0\,
      O(3 downto 2) => \NLW_quant_input0_carry__3_O_UNCONNECTED\(3 downto 2),
      O(1) => \quant_input0_carry__3_n_6\,
      O(0) => \NLW_quant_input0_carry__3_O_UNCONNECTED\(0),
      S(3 downto 2) => B"00",
      S(1) => \quant_input0_carry__3_i_2_n_0\,
      S(0) => \quant_input0_carry__3_i_3_n_0\
    );
\quant_input0_carry__3_i_1\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"2"
    )
        port map (
      I0 => int1_reg(16),
      I1 => lfsr(14),
      O => \quant_input0_carry__3_i_1_n_0\
    );
\quant_input0_carry__3_i_2\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"9"
    )
        port map (
      I0 => int1_reg(17),
      I1 => int1_reg(18),
      O => \quant_input0_carry__3_i_2_n_0\
    );
\quant_input0_carry__3_i_3\: unisim.vcomponents.LUT3
    generic map(
      INIT => X"4B"
    )
        port map (
      I0 => lfsr(14),
      I1 => int1_reg(16),
      I2 => int1_reg(17),
      O => \quant_input0_carry__3_i_3_n_0\
    );
quant_input0_carry_i_1: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(4),
      I1 => lfsr(2),
      O => quant_input0_carry_i_1_n_0
    );
quant_input0_carry_i_2: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(3),
      I1 => lfsr(1),
      O => quant_input0_carry_i_2_n_0
    );
quant_input0_carry_i_3: unisim.vcomponents.LUT2
    generic map(
      INIT => X"6"
    )
        port map (
      I0 => int1_reg(2),
      I1 => lfsr(0),
      O => quant_input0_carry_i_3_n_0
    );
\quant_input_reg[18]\: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => \quant_input0_carry__3_n_6\,
      Q => p_0_in,
      R => reset
    );
quant_reg_reg: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => p_0_in,
      Q => quant_reg,
      R => reset
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity FNPLL_DS_dac3_0_0 is
  port (
    clk : in STD_LOGIC;
    reset : in STD_LOGIC;
    data_in : in STD_LOGIC_VECTOR ( 15 downto 0 );
    pdm_out : out STD_LOGIC
  );
  attribute NotValidForBitStream : boolean;
  attribute NotValidForBitStream of FNPLL_DS_dac3_0_0 : entity is true;
  attribute CHECK_LICENSE_TYPE : string;
  attribute CHECK_LICENSE_TYPE of FNPLL_DS_dac3_0_0 : entity is "FNPLL_DS_dac3_0_0,DS_dac3,{}";
  attribute downgradeipidentifiedwarnings : string;
  attribute downgradeipidentifiedwarnings of FNPLL_DS_dac3_0_0 : entity is "yes";
  attribute ip_definition_source : string;
  attribute ip_definition_source of FNPLL_DS_dac3_0_0 : entity is "module_ref";
  attribute x_core_info : string;
  attribute x_core_info of FNPLL_DS_dac3_0_0 : entity is "DS_dac3,Vivado 2025.1";
end FNPLL_DS_dac3_0_0;

architecture STRUCTURE of FNPLL_DS_dac3_0_0 is
  attribute x_interface_info : string;
  attribute x_interface_info of clk : signal is "xilinx.com:signal:clock:1.0 clk CLK";
  attribute x_interface_mode : string;
  attribute x_interface_mode of clk : signal is "slave clk";
  attribute x_interface_parameter : string;
  attribute x_interface_parameter of clk : signal is "XIL_INTERFACENAME clk, ASSOCIATED_RESET reset, FREQ_HZ 55000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN /clk_wiz_0_clk_out1, INSERT_VIP 0";
  attribute x_interface_info of reset : signal is "xilinx.com:signal:reset:1.0 reset RST";
  attribute x_interface_mode of reset : signal is "slave reset";
  attribute x_interface_parameter of reset : signal is "XIL_INTERFACENAME reset, POLARITY ACTIVE_LOW, INSERT_VIP 0";
begin
U0: entity work.FNPLL_DS_dac3_0_0_DS_dac3
     port map (
      clk => clk,
      data_in(15 downto 0) => data_in(15 downto 0),
      pdm_out => pdm_out,
      reset => reset
    );
end STRUCTURE;
